# eln

A command-line tool for quick math computations

![PyPI - License](https://img.shields.io/pypi/l/eln)
![PyPI - Version](https://img.shields.io/pypi/v/eln)
![PyPI - Python Version](https://img.shields.io/pypi/pyversions/eln)
![Github - Issues](https://img.shields.io/github/issues/lehvitus/eln)
![PyPI - Downloads](https://img.shields.io/pypi/dm/eln)

- [eln](#eln)
    - [Requirements](#requirements)
    - [Installation](#installation)
    - [Commands](#commands)
        - [Azuracast](#azuracast)
        - [DigitalOcean](#digitalocean)
        - [News API](#news-api)
        - [Plot](#plot)
        - [Stub](#stub)
        - [Weather](#weather)
    - [To Do](#issues)
    - [Pull requests](#pull-requests)
    - [License](#license)

## Requirements
[Check requirements](Pipfile).

## Installation
```bash
pip install eln
```

## Commands

### Azuracast
Manage your Azuracast installation.

### DigitalOcean
DigitalOcean API Wrapper.

### Weather
Get weather forecasts.

### News API
News powered by [NewsAPI.org](https://newsapi.org)

### Plot
Plot numerical data with Pandas.

### Stub
Stub out sample projects.

## Issues
[Check out issues](https://github.com/lehvitus/eln/issues)

## Pull Requests
Found a bug? See a typo? Have an idea for new command? 
Feel free to submit a [pull request](https://github.com/lehvitus/eln/issues)
with your contributions. They are much welcome.


## License
**eln** is [BSD Licensed](LICENSE.txt).